<?php

namespace Drupal\formatter_suite\Plugin\Field\FieldFormatter;

/**
 * Formats multiple email addresses as a list.
 *
 * See the EntityListTrait for a description of list formatting features.
 *
 * @ingroup formatter_suite
 *
 * @FieldFormatter(
 *   id          = "formatter_suite_general_email_list",
 *   label       = @Translation("Formatter Suite - General Email address list"),
 *   weight      = 1001,
 *   field_types = {
 *     "email",
 *   }
 * )
 */
class GeneralEmailListFormatter extends GeneralEmailFormatter {
  use EntityListTrait;

  /**
   * Returns a brief description of the formatter.
   *
   * @return string
   *   Returns a brief translated description of the formatter.
   */
  protected function getDescription() {
    return $this->t("Format multi-value email address fields as a list. Format each address as plain text, or as a \"mailto\" link that starts the user's email application.");
  }

}
