<?php

namespace Drupal\formatter_suite\Plugin\Field\FieldFormatter;

/**
 * Formats multiple entity references as a list.
 *
 * See the EntityListTrait for a description of list formatting features.
 *
 * @ingroup formatter_suite
 *
 * @FieldFormatter(
 *   id          = "formatter_suite_general_entity_reference_list",
 *   label       = @Translation("Formatter Suite - General entity reference list"),
 *   weight      = 1001,
 *   field_types = {
 *     "entity_reference",
 *   }
 * )
 */
class GeneralEntityReferenceListFormatter extends GeneralEntityReferenceFormatter {
  use EntityListTrait;

  /**
   * Returns a brief description of the formatter.
   *
   * @return string
   *   Returns a brief translated description of the formatter.
   */
  protected function getDescription() {
    return $this->t("Format multi-value entity reference fields as a list. Format each reference by showing it's unique ID, title, or the title linked to the entity.");
  }

}
